summaryrefslogtreecommitdiffstats
path: root/testsuite/reloc7.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/reloc7.sh')
-rwxr-xr-xtestsuite/reloc7.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/testsuite/reloc7.sh b/testsuite/reloc7.sh
index 640ca78..edbbcbf 100755
--- a/testsuite/reloc7.sh
+++ b/testsuite/reloc7.sh
@@ -11,7 +11,9 @@ savelibs
echo $PRELINK ${PRELINK_OPTS--vm} ./reloc7 > reloc7.log
$PRELINK ${PRELINK_OPTS--vm} ./reloc7 >> reloc7.log 2>&1 || exit 1
grep -q ^`echo $PRELINK | sed 's/ .*$/: /'` reloc7.log && exit 2
-LD_LIBRARY_PATH=. ./reloc7 >> reloc7.log || exit 3
+if [ "x$CROSS" = "x" ]; then
+ LD_LIBRARY_PATH=. ./reloc7 >> reloc7.log || exit 3
+fi
readelf -a ./reloc7 >> reloc7.log 2>&1 || exit 4
# So that it is not prelinked again
chmod -x ./reloc7